
QGIS Application - Bug report #20403

Crash while simple queries

2018-11-08 08:57 AM - N. L.

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.4.1 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28223

Description

User Feedback

??

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-11-08 09:16 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback
- Priority changed from Normal to High

Please add detailed steps on how replicate.

#2 - 2018-11-08 02:30 PM - N. L.

Qgis started - project loaded - nothing further done - Qgis crashes after 15 - 45 minutes (always)

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Windows Event Viewer

- System 

- Provider 

[ Name]  Application Error

- EventID 1000 

[ Qualifiers]  0

Level 2

Task 100

Keywords 0x80000000000000

- TimeCreated 

[ SystemTime]  2018-11-08T09:39:01.468946400Z

EventRecordID 5209

Channel Application

Computer PC-xxxxxxxxx

Security

- EventData 

qgis-bin-g7.4.2.exe 

   0.0.0.0 

   5bdd961c 

   qgis_native.dll 

   0.0.0.0 

   5bdd8676 
   c000041d 

   00000000000094af 

   2c38 

   01d4773ba51cbc7e 

   C:\Program Files\QGIS 3.4\bin\qgis-bin-g7.4.2.exe 

   C:\PROGRA~1\QGIS3~1.4\apps\qgis\bin\qgis_native.dll 

   febb9381-d896-4386-a9b6-b70d7a304b0b 

or..

- System

- Provider 

[ Name]  Application Error

- EventID 1000 

[ Qualifiers]  0

Level 2

Task 100

Keywords 0x80000000000000

- TimeCreated 

[ SystemTime]  2018-11-08T11:52:14.153850400Z

EventRecordID 5225

Channel Application

Computer PC-xxxxxxxxx

Security

- EventData 

qgis-bin-g7.4.2.exe 

   0.0.0.0 

   5bdd961c 

   qgis_native.dll 

   0.0.0.0 

   5bdd8676 

   c000041d 

   00000000000094af 

   3f78 

   01d47746e41293b4 

   C:\Program Files\QGIS 3.4\bin\qgis-bin-g7.4.2.exe 

   C:\PROGRA~1\QGIS3~1.4\apps\qgis\bin\qgis_native.dll 

   9ac3c078-c821-4fb4-83d8-2b5e2ad0ea26

#3 - 2018-11-08 02:32 PM - Giovanni Manghi

N. L. wrote:

Qgis started - project loaded - nothing further done - Qgis crashes after 15 - 45 minutes (always)

so can you explain the subject/title of this ticket? it suggest a different thing.

#4 - 2018-11-08 02:53 PM - N. L.

The first crash today happened when simply querying factual data, but when trying to reproduce the crash it turned out that Qgis crashes after some time

even without user input. So the title could also be changed to "QGis just crashes".

#5 - 2018-11-08 03:39 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of many other identical tickets filed in the past days.

2025-04-27 3/3


